# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We need to tweak the test suite if we have an old version of Test::More
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.96) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-Test-TrailingSpace
Version:	0.0301
Release:	2.%{__distinit}%{__distvers}
Summary:	Test for trailing space in source files
License:	MIT
Group:		Development/Libraries
URL:		https://metacpan.org/release/Test-TrailingSpace
Source0:	http://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/Test-TrailingSpace-%{version}.tar.gz
Patch0:		Test-TrailingSpace-0.0204-old-Test::More.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(Module::Build) >= 0.28
# Module Runtime
BuildRequires:	perl(autodie)
BuildRequires:	perl(File::Find::Object::Rule) >= 0.0301
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::Builder::Tester)
# Author Tests
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
# Release Tests
BuildRequires:	perl(Test::CPAN::Changes)
BuildRequires:	perl(Test::Kwalitee::Extra)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module is used to test for presence of trailing space.

%prep
%setup -q -n Test-TrailingSpace-%{version}

# We need to tweak the test suite if we have an old version of Test::More
%if %{old_test_more}
%patch0
%endif

%build
perl Build.PL --installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
AUTHOR_TESTING=1 RELEASE_TESTING=1 ./Build test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::TrailingSpace.3*

%changelog
* Tue Jan 10 2017 Paul Howarth <paul@city-fan.org> - 0.0301-2
- Test::Kwalitee::Extra now available universally

* Wed Nov  2 2016 Paul Howarth <paul@city-fan.org> - 0.0301-1
- Update to 0.0301
  - Skip "sample-data" in t/dogfood.t, which caused problems with parallel
    testing

* Thu May 19 2016 Paul Howarth <paul@city-fan.org> - 0.0300-1
- Update to 0.0300
  - Made abs_path_prune_re affect files as well; this way one can skip files
    with offending extensions
- BR: perl-generators where possible

* Thu Jun 25 2015 Paul Howarth <paul@city-fan.org> - 0.0205-2
- Perl 5.22 rebuild

* Sun May 31 2015 Paul Howarth <paul@city-fan.org> - 0.0205-1
- Update to 0.0205
  - Add VCS repository and bugtracker info to META.yml
- Classify buildreqs by usage

* Thu Sep 11 2014 Paul Howarth <paul@city-fan.org> - 0.0204-2
- BR: perl(Test::CPAN::Changes) unconditionally
- Use %%license where possible

* Fri Apr 11 2014 Paul Howarth <paul@city-fan.org> - 0.0204-1
- Import from Fedora
- Update to 0.0204
  - Specify minimum version of perl to be 5.8
  - Add provides to META.yml
  - Add Test::CPAN::Changes

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0203-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 26 2013 Christopher Meng <rpm@cicku.me> - 0.0203-1
- Initial Package
